<template>
  <div class="tabs-wrapper">
    <div class="tabs">
      <div class="container">
        <div class="tab">
          <router-link class="tab-link tab-link--group" :to="{ name: 'Group' }"
            ><span>{{ $t("groupTabs.booking") }}</span></router-link
          >
        </div>
        <div class="tab" v-if="preorderAvailable">
          <router-link
            class="tab-link tab-link--preorder"
            :to="{ name: 'GroupPreorder' }"
            ><span>{{ $t("groupTabs.preordering") }}</span></router-link
          >
        </div>
        <div class="tab">
          <router-link class="tab-link tab-link--map" :to="{ name: 'GroupMap' }"
            ><span>{{ mapLabel }}</span></router-link
          >
        </div>
      </div>
    </div>
  </div>
</template>

<script>
import { preorderAvailable } from "../../utils";

export default {
  computed: {
    preorderAvailable() {
      return preorderAvailable(this.$route.params.groupId);
    },

    mapLabel() {
      return this.$route.params.groupId === "nanxifoodmap"
        ? this.$t("groupTabs.map2")
        : this.$t("groupTabs.map");
    }
  }
};
</script>

<style lang="scss" scoped>
.tabs-wrapper {
  position: absolute;
  overflow: hidden;
  height: 100%;
  width: 100%;
}

.tab {
  & + & {
    margin-left: 15px;
  }
}
.tab-link {
  display: block;
  height: 100%;
  color: $color-primary-black;
  font-size: 14px;
  margin-bottom: 5px;
  text-align: center;
  width: 90px;

  @include media-breakpoint-up(sm) {
    width: 100px;
  }

  @include media-breakpoint-up(md) {
    width: 160px;
    font-size: 16px;
    margin-bottom: 0px;
  }

  &:before {
    display: block;
    margin: auto;
    content: "";
    width: 32px;
    height: 32px;
    background-image: url("/static/images/group-tabs.png");
    background-repeat: no-repeat;
    background-size: 96px 96px;
    background-position: 0 0;
  }

  &.router-link-exact-active {
    color: $color-skm-red;

    .theme-vip-member & {
      color: $color-skm-gold;
    }
  }

  &.tab-link--group {
    &:before {
      background-position: 0 0;
    }
    &.router-link-exact-active:before {
      background-position-y: -32px;

      .theme-vip-member & {
        background-position-y: -64px;
      }
    }
  }

  &.tab-link--preorder {
    &:before {
      background-position: -32px 0;
    }
    &.router-link-exact-active:before {
      background-position-y: -32px;

      .theme-vip-member & {
        background-position-y: -64px;
      }
    }
  }

  &.tab-link--map {
    &:before {
      background-position: -64px 0px;
    }
    &.router-link-exact-active:before {
      background-position-y: -32px;

      .theme-vip-member & {
        background-position-y: -64px;
      }
    }
  }
}

.tabs {
  position: relative;
  width: 140%;
  left: -20%;
  height: 80px;
  border-radius: 0 0 50% 50%;
  background: $color-white;
  box-shadow: 0 1px 20px 0 rgba(32, 35, 43, 0.2);
  .theme-vip-member & {
    box-shadow: 0 10px 20px rgba($color-primary-black, 0.35);
  }

  @include media-breakpoint-up(md) {
    width: 105%;
    left: -2.5%;
    height: 88px;
    border-radius: 0 0 50% 50%;
  }
}

.tabs .container {
  height: 100%;
  display: flex;
  align-items: center;
  justify-content: center;
}
</style>
